/**
  Main Navigation
 */
.navigation {
  margin: 0 0 0 auto;
  @include _align-flex(center, flex-end, row);
}

/**
  Navigation Links like "Start Game"
 */
.navigation-links {
  @include _reset-lists();
  margin-left: auto;
  position: relative;
  height: $navbar-height;
  @include _align-flex(center, flex-start, row);

  li {
    height: 100%;
    display: none;

    a {
      @include _align-flex(center, center);
      width: 100%;
      height: 100%;
      padding: 0 15px;
      text-decoration: none;
      @include _transition(all);

      &.cta {
        background: $color_1;
        @include _font-paragraph('regular', $color_white);
        @include _font-size($font-size-5);
        &:hover {
          background: darken($color_1, 8%);
        }
      }
    }
  }

  @include _respond-to(tablets, desktops) {
    li {
      display: inline;
    }
  }
}

/**
  Toggle Main Navigation Bar
 */
.navigation-toggle {
  position: relative;
  z-index: map_get($z-index, 'default');
  width: $navbar-height;
  height: $navbar-height;
  margin: 0;
  @include _transition(all);

  @include _reset-glow();
  background: darken($color_dark, 20%);
  border: 0;
  border-radius: 0;

  &:before {
    @include _get-icon('navigator');
    @include _font-size(26px);
    color: $color_white;
  }

  &.-in {
    background: $color_1;
    &:before {
      @include _get-icon('close');
    }
  }

  @include _link-active() {
    background: $color_1;
  }
}